메인 콘텐츠로 건너뛰기
POST
/
2
/
media
/
upload
/
{id}
/
finalize
미디어 업로드 최종 완료하기
curl --request POST \
  --url https://api.x.com/2/media/upload/{id}/finalize \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "1146654567674912769",
    "media_key": "<string>",
    "expires_after_secs": 123,
    "processing_info": {
      "check_after_secs": 123,
      "progress_percent": 123
    },
    "size": 123
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

인증

Authorization
string
header
필수

The access token received from the authorization server in the OAuth 2.0 flow.

경로 매개변수

id
string
필수

업로드 완료 대상 미디어의 media id입니다. 이 미디어의 고유 식별자입니다.

Pattern: ^[0-9]{1,19}$
예시:

"1146654567674912769"

응답

요청이 성공했습니다.

미디어 업로드 요청 상태를 GET으로 조회할 때 반환되는 응답입니다.

data
object
errors
object[]
Minimum array length: 1

IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체